Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class Agent

    java.lang.Object
      com.nortel.soa.oi.cct.types.Agent

    public class Agent

extends java.lang.Object

Java class for agent complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agent">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="agentLoginId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="userName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="agentType" type="{http://www.nortel.com/soa/oi/cct/types}agentType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`Agent()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAgentLoginId()` Gets the value of the loginId property.
`AgentType` | `getAgentType()` Gets the value of the agentType property.
`java.lang.String` | `getUserName()` Gets the value of the userName property.
`int` | `hashCode()`
`void` | `setAgentLoginId(java.lang.String value)` Sets the value of the loginId property.
`void` | `setAgentType(AgentType value)` Sets the value of the agentType property.
`void` | `setUserName(java.lang.String value)` Sets the value of the userName property.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Agent

    public Agent()

Method Detail

### getAgentLoginId

    public java.lang.String getAgentLoginId()

  Gets the value of the loginId property.

  Returns:
    possible object is `String`

### setAgentLoginId

    public void setAgentLoginId(java.lang.String value)

  Sets the value of the loginId property.

  Parameters:
    `value` - allowed object is `String`

### getUserName

    public java.lang.String getUserName()

  Gets the value of the userName property.

  Returns:
    possible object is `String`

### setUserName

    public void setUserName(java.lang.String value)

  Sets the value of the userName property.

  Parameters:
    `value` - allowed object is `String`

### getAgentType

    public AgentType getAgentType()

  Gets the value of the agentType property.

  Returns:
    possible object is `AgentType`

### setAgentType

    public void setAgentType(AgentType value)

  Sets the value of the agentType property.

  Parameters:
    `value` - allowed object is `AgentType`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.